[ Maverik Level 1 typedefs ]

#

MAV_rectangle

## Summary

Default object class ``rectangle''.

## Syntax

    typedef struct {
      float width;
      float height;
      float xtile;
      float ytile;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_rectangle;

## Description

The rectangle allows for a simple definition of the common case of a 4-vertex polygon centred at the origin with its normal aligned along the positive Z axis. Is is defined by its `width` and `height` along the X and Y axis respectively.

Back to the index page.